@echo off

if [%6]==[] (
    goto :usage
)

echo Creating gif...

convert -delay %2 -loop 0 %1\*.png[%3x%4] -colors %5 %6

echo Creation completed!

goto :end

:usage
echo.
echo Usage: %0 framesdir delay width height ncolors destfilename
echo.
echo Creates an animated gif from pngs in framesdir directory. 
echo.
echo Parameters:
echo.
echo - framesdir: directory containing all the png frames
echo - delay: frame duration in hundredths of a second
echo - width, height: destination gif image size
echo - ncolors: number of colors of the destination image. GIF format can have a maximum of 256 colors palette.
echo - destfilename: destination filename for the animated gif
echo.

:end
pause